import request from '@/utils/request'

// 查询目标学校列表
export function listMemberTargetSchool(query) {
  return request({
    url: '/mall/memberTargetSchool/list',
    method: 'get',
    params: query
  })
}

// 查询目标学校详细
export function getMemberTargetSchool(targetId) {
  return request({
    url: '/mall/memberTargetSchool/' + targetId,
    method: 'get'
  })
}

// 新增目标学校
export function addMemberTargetSchool(data) {
  return request({
    url: '/mall/memberTargetSchool',
    method: 'post',
    data: data
  })
}

// 修改目标学校
export function updateMemberTargetSchool(data) {
  return request({
    url: '/mall/memberTargetSchool',
    method: 'put',
    data: data
  })
}

// 删除目标学校
export function delMemberTargetSchool(targetId) {
  return request({
    url: '/mall/memberTargetSchool/' + targetId,
    method: 'delete'
  })
}
